#include <iostream>

using namespace std;

int main()
{
    long long n,l;
    scanf("%lld%lld",&n,&l);
    long long h[n];
    for(int i=0;i<n;i++)
    {
        long long a;
        scanf("%lld",&a);
        h[i]=a;
    }
    long long ind=1,i=0;
    while(h[i]>l)
    {
        ind++;
        i++;
    }
    if(ind>n)
        printf("-1");
    else
        printf("%lld",ind);
    return 0;
}